=== debian/changelog ===
linux (6.18~rc6-1~exp1) experimental; urgency=medium

  * New upstream release candidate.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 17 Nov 2025 22:45:00 +0100
